require 'ip_whitelist/version'
require 'rails'
require 'active_record'

module IpWhitelist
  autoload :List, 'ip_whitelist/list'
  autoload :Interceptor, 'ip_whitelist/interceptor'
  autoload :Error, 'ip_whitelist/error'
  def self.redis
    @redis ||= Redis.new
  end

  def self.redis=(redis)
    @redis = redis
  end
end
